---
schema_version: "1"
id: fd57fd402d276b24cd08719dd0ab4dc45852829fe0480043fccb213b879cfe0a
title: PulseSettings | Tableau Embedding API
collection: tableau
version: next
locale: en-us
portal_url: https://docs.salesforce.com/tableau/next/en-us/api/embedding_api/reference/interfaces/PulseSettings.md
canonical_url: https://help.tableau.com/v0.0/api/embedding_api/en-us/reference/interfaces/PulseSettings.html
source_site: help.tableau.com
content_type: documentation
content_hash: 69c68e76e4ba3fe63a5804a1b21e845c843100af7d880c9b023f173435c12a3b
description: Documentation for Tableau Embedding API
---
- PulseSettings

# Interface PulseSettings

User supplied options that do not get passed as request parameters to load a Tableau viz, Tableau askdata

interface PulseSettings {  
    [disableExploreFilter](#disableexplorefilter)?: boolean;  
    [height](#height)?: string | number;  
    [iframeAttributeClass](#iframeattributeclass)?: string;  
    [iframeAttributeLoading](#iframeattributeloading)?: string;  
    [iframeAttributeStyle](#iframeattributestyle)?: string;  
    [layout](#layout)?: [PulseLayout](https://help.tableau.com/v0.0/api/embedding_api/en-us/reference/enums/PulseLayout.html);  
    [src](#src)?: null | string;  
    [theme](#theme)?: string;  
    [timeDimension](#timedimension)?: [PulseTimeDimension](https://help.tableau.com/v0.0/api/embedding_api/en-us/reference/enums/PulseTimeDimension.html);  
    [token](#token)?: string;  
    [width](#width)?: string | number;  
}

#### Hierarchy ([View Summary](https://help.tableau.com/v0.0/api/embedding_api/en-us/reference/hierarchy.html#PulseSettings))

- [WebComponentLocalSettings](https://help.tableau.com/v0.0/api/embedding_api/en-us/reference/interfaces/WebComponentLocalSettings.html)
    - PulseSettings
        - [Pulse](https://help.tableau.com/v0.0/api/embedding_api/en-us/reference/interfaces/Pulse.html)

- Defined in packages/api-external-contract-js/src/ExternalContract/Embedding/PulseInterfaces.ts:25

##### Index

### Properties

[disableExploreFilter?](#disableexplorefilter) [height?](#height) [iframeAttributeClass?](#iframeattributeclass) [iframeAttributeLoading?](#iframeattributeloading) [iframeAttributeStyle?](#iframeattributestyle) [layout?](#layout) [src?](#src) [theme?](#theme) [timeDimension?](#timedimension) [token?](#token) [width?](#width)

## Properties

### `Optional`disableExploreFilter[](#disableexplorefilter)

disableExploreFilter?: boolean

Indicates whether the explore filter is hidden or visible.

```
<tableau-pulse id="tableauPulse" disable-explore-filter>
```

- Defined in packages/api-external-contract-js/src/ExternalContract/Embedding/PulseInterfaces.ts:32

### `Optional`height[](#height)

height?: string | number

Represents height in pixels Can be any valid CSS size specifier. If not specified, defaults to the published height of the view.

Inherited from [WebComponentLocalSettings](https://help.tableau.com/v0.0/api/embedding_api/en-us/reference/interfaces/WebComponentLocalSettings.html).[height](https://help.tableau.com/v0.0/api/embedding_api/en-us/reference/interfaces/WebComponentLocalSettings.html#height)

- Defined in packages/api-external-contract-js/src/ExternalContract/Embedding/WebComponentInterfaces.ts:20

### `Optional`iframeAttributeClass[](#iframeattributeclass)

iframeAttributeClass?: string

The value of the 'class' attribute of the embedded iframe providing access to any custom selectors defined in the `<iframe-style>` child tag.

```
<tableau-pulse id="tableauViz" iframe-attr-class="red-border">  <iframe-style>    .red-border {      border: 1px solid red;    }  </iframe-style></tableau-pulse>
```

- Defined in packages/api-external-contract-js/src/ExternalContract/Embedding/PulseInterfaces.ts:90

### `Optional`iframeAttributeLoading[](#iframeattributeloading)

iframeAttributeLoading?: string

The value of the 'loading' attribute of the embedded iframe. See: [https://developer.mozilla.org/en-US/docs/Web/HTML/Element/iframe#loading](https://developer.mozilla.org/en-US/docs/Web/HTML/Element/iframe#loading)

```
<tableau-viz id="tableauViz" iframe-attr-loading="lazy" /><tableau-authoring-viz id="tableauViz" iframe-attr-loading="lazy" /><tableau-pulse id="tableauPulse" iframe-attr-loading="lazy" />
```

- Defined in packages/api-external-contract-js/src/ExternalContract/Embedding/PulseInterfaces.ts:63

### `Optional`iframeAttributeStyle[](#iframeattributestyle)

iframeAttributeStyle?: string

The value of the 'style' attribute of the embedded iframe.

```
<tableau-viz id="tableauViz" iframe-attr-style="border: 1px solid red" /><tableau-authoring-viz id="tableauViz" iframe-attr-style="border: 1px solid red" /><tableau-pulse id="tableauPulse" iframe-attr-style="border: 1px solid red" />
```

- Defined in packages/api-external-contract-js/src/ExternalContract/Embedding/PulseInterfaces.ts:74

### `Optional`layout[](#layout)

layout?: [PulseLayout](https://help.tableau.com/v0.0/api/embedding_api/en-us/reference/enums/PulseLayout.html)

Specifies the desired custom layout of the Pulse metric.

```
<tableau-pulse id="tableauPulse" layout="card">
```

- Defined in packages/api-external-contract-js/src/ExternalContract/Embedding/PulseInterfaces.ts:40

### `Optional`src[](#src)

src?: null | string

The viz src

Inherited from [WebComponentLocalSettings](https://help.tableau.com/v0.0/api/embedding_api/en-us/reference/interfaces/WebComponentLocalSettings.html).[src](https://help.tableau.com/v0.0/api/embedding_api/en-us/reference/interfaces/WebComponentLocalSettings.html#src)

- Defined in packages/api-external-contract-js/src/ExternalContract/Embedding/WebComponentInterfaces.ts:8

### `Optional`theme[](#theme)

theme?: string

The Base64-encoded string representation of the Pulse theme object.

- Defined in packages/api-external-contract-js/src/ExternalContract/Embedding/PulseInterfaces.ts:96

### `Optional`timeDimension[](#timedimension)

timeDimension?: [PulseTimeDimension](https://help.tableau.com/v0.0/api/embedding_api/en-us/reference/enums/PulseTimeDimension.html)

Specifies the desired time dimension to apply to the Pulse metric by default.

```
<tableau-pulse id="tableauPulse" time-dimension="MonthToDate">
```

- Defined in packages/api-external-contract-js/src/ExternalContract/Embedding/PulseInterfaces.ts:104

### `Optional`token[](#token)

token?: string

The token used for authorization

```
<tableau-viz id="tableauViz" token="some-token-containing-clientId" /><tableau-authoring-viz id="tableauViz" token="some-token-containing-clientId" /><tableau-pulse id="tableauPulse" token="some-token-containing-clientId" />
```

- Defined in packages/api-external-contract-js/src/ExternalContract/Embedding/PulseInterfaces.ts:51

### `Optional`width[](#width)

width?: string | number

Represents width in pixels Can be any valid CSS size specifier. If not specified, defaults to the published width of the view.

Inherited from [WebComponentLocalSettings](https://help.tableau.com/v0.0/api/embedding_api/en-us/reference/interfaces/WebComponentLocalSettings.html).[width](https://help.tableau.com/v0.0/api/embedding_api/en-us/reference/interfaces/WebComponentLocalSettings.html#width)

- Defined in packages/api-external-contract-js/src/ExternalContract/Embedding/WebComponentInterfaces.ts:14

### Settings

Member Visibility

- Protected
- Inherited
- External

ThemeOSLightDark

### On This Page

Properties

[disableExploreFilter](#disableexplorefilter)[height](#height)[iframeAttributeClass](#iframeattributeclass)[iframeAttributeLoading](#iframeattributeloading)[iframeAttributeStyle](#iframeattributestyle)[layout](#layout)[src](#src)[theme](#theme)[timeDimension](#timedimension)[token](#token)[width](#width)